
If you own a Fargo Primera printer and an Amiga, read this.  It will let
you print pictures with a huge, mind-boggling increase in quality.  After
you try this, you will never go back.

(Well, this is only for the dye-sublimation ("photo") driver - this won't
do squat for the thermal transfer printing).

Before you use this program, READ THIS ENTIRE DOCUMENT!!  It is important
to understand what is going on.


PrimeraHack Background
----------------------

The current (Version 2.2) Primera printer driver for the Amiga has some
problems.  It supports printing with 4096 primary colors.  Currently, you
can do any of the following:

  1. Print with no dithering.  This means that smooth color gradients won't
     look smooth, but everything else will turn out OK.  The banding
     problems, however, can be severe.  4096 colors (16 shades of each
     primary) is NOT enough for smooth gradients.

  2. Print with some flavor of dithering.  Somehow, the current printer
     driver makes this look just *awful*.  Absolutely hideous.  I'm not
     sure why.  It manages to simultanously destroy any small detail in
     your picture, and introduce dithering my mixing radically different
     colors together with huge dither block.  It looks very bad.

Option #1 is what the current Fargo documentation tells you to do.  It was
the best option, but you don't get smooth color gradients.

Until PrimeraHack.  PrimeraHack was created to provide a (hopefully)
temporary workaround to this problem until such time as a decent driver
becomes available for the dye-sublimation mode.

What is PrimeraHack?  PrimeraHack does pre-print processing on your image.
It reduces your image to the supported Fargo color space of 4096 colors,
and also does its own dithering in a MUCH better manner than the Fargo
driver.  The results look tremendouly better.  The colors are truer.  The
shading is incredibly smooth, instead of the horribly banded shading you
get now.

PrimeraHack, unfortunately for many of you, requires ImageFX.  If you
don't have ImageFX, it is well worth the price.  In any case, the
improvement in print results obtainable by PrimeraHack should make it
worthwhile to search out someone with ImageFX and have them run the
conversion before you and give you the files back to print.  (Yes, I think
it makes so much difference as to be worth the trouble).

PrimeraHack is a "hack" because this sort of thing should be done in the
printer driver, not in a pre-processor like this.  But for now, this will
have to do.  There are manual steps involved, and I will try to describe
them below.  The whole process is a bit of a pain, but you should find it
to be worthwile.


Installing PrimeraHack
----------------------

   1. Copy the PrimeraHack file to your ImageFX:Hooks directory.


Using PrimeraHack
-----------------

   1. First, PrimeraHack is only worthwhile for images from a 24 bit color
      space.  For example, JPEGs are 24 bit.  GIFs also have a 24 bit
      color space, even though they have only 256 colors.  The *pallete*
      size here is important.  PrimeraHack won't do anything for non-AGA
      amiga graphics modes such as HAM, so don't bother.  It is important
      to understand the difference between the color space (24 bit for
      BOTH GIF and JPEG, 4096 for older amiga graphics modes), and the
      number of colors in the picture (max of 256 for GIF, etc).  If you
      image is already dithered to a smaller *color space*,, don't use
      PrimeraHack.

   2. Load your image into ImageFX.  The higher res, the better.
      I usually try to use at least 1280x1024.

   3. Insure your preferences settings are set right.  They should be:
         Printer:   Primera
         Port:      Parallel
         Dithering: Ordered   <--- ***  IMPORTANT!!!  ***
         Scaling:   Fraction
         Image:     Positive
         Aspect:    Horizontal
         Shade:     Color
         Threshold: 7
         Color Correction: all off
         Smoothing: On
         Center:    On
         Limtis:    Ignore

   3. Do any pre-print processing you wish.  I usually:
      A.  Add titles
      B.  Rotate the image 90 degrees.  (The CRT is wider than it
          is tall; the printer output is taller than it is wide.)
      C.  Do gamma correction to increase the brightness a little.  (The
          printer seems to reduce the image intenstiy a bit).
      D.  I often also increase the blue - the printer seems to be a
          bit weak with blues.  Select the "B" gadget only from the
          title bar, and use the "Ga" option in the color menu.

   4. Scale your image to the full size of your print.  Do this *before*
      running PrimeraHack.  It is important that you do this *before*
      PrimeraHack.  To generate an 8x10 image, you should scale to
      1624x1990.  This will probably require you to use ImageFX virtual
      memory unless you have an awful lot of RAM.  (Note: 1990x1624
      assumes you are using A4 sized paper, not 8.5X11 paper.)

   5. Enter the Hooks menu of ImageFX, select PrimeraHack, and run it.  It
      may take a few minutes.  It will reduce the colors in your image to
      the set acceptable to the printer, and perform its own dithering to
      simulate others, in a manner MUCH MUCH better than if you let the
      Fargo driver dither for you.  If you cancel PrimeraHack, you will
      have to re-load your image and start over.

   6. Enter the "Size" menu of ImageFX, select "Set Aspect", and set the
      horizontal and vertical DPI to 203 and 199, respectively.

   6. Enter the printer screen in ImageFX.  Make sure the Primera driver
      is selected.

   7. ** IMPORTANT **   Make sure you are using the "Prefs" ImageFX
      printer module, ** NOT ** the PrefsII module.  You want as little 
      processing as possible.  Prefs is the module to use here.  Your
      image size should show up correctly if you have scaled your image up
      front.

   8. Make sure your print density is set to 4 (four) for the version 2.2
      driver.  Fargo seems to occasionally change these numbers, so make
      sure this is right for your driver version.

   9. Select print.

  10. Go away for a while.  It takes a long time to print a dye-sub print.
      You do NOT want to crash your computer during printing, as this will
      cost you about $3.00.

  11. Come back and retrieve your print.  Admire it as you wish :-)
      The results are rather amazing.

After you have tried printing with this pre-processor, you will simply
never do it any other way.  If you follow these instructions closely, you
will probably get better results than even their MS-Windows driver (which
doesn't seem to suffer from the dithering problem of the amiga driver).

If you have questions or problems, let me know.  Otherwise, happy
printing.

  Steve Koren
  koren@fc.hp.com
